2018-03-06 04:57 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: High

Assignee: Arnaud Morvan

Category: Processing/Core

Affected QGIS version:3.0.0 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26239

Description

The aggregate algorithm is broken when used in a model, under QGIS 3.0/3.1.

Steps to reproduce

    1. Create a new model

    2. Add an aggregate algorithm

    3. Notice the error stack

Associated revisions

Revision ff6ea336 - 2018-03-19 10:06 PM - Nyall Dawson

[processing] Fix broken Aggregate algorithm

Fixes #18349

History

#1 - 2018-03-06 05:23 AM - Mathieu Pellerin - nIRV

- Regression? changed from No to Yes

- Subject changed from aggregate algorithm broken when used in a model to regression: aggregate algorithm broken under QGIS 3.0 (within model or 

as standalone alg)

Well, turns out the algorithm is broken even outside the context of models.

#2 - 2018-03-06 09:48 AM - Giovanni Manghi

- Priority changed from Normal to High

#3 - 2018-03-19 10:06 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|ff6ea3368637f8c906f97b57cb33679193b779d8.
